local CommonResource = ...

-- Egg
CommonResource:registerAssetId("icons/egg.png", "ICON_" .. _CommonResourcePrefix .. "_EGG")

CommonResource:register({
	DataType = "RESOURCE",
	Id = _CommonResourcePrefix .. "_EGG",
	ResourceName = _CommonResourcePrefix .. "_EGG",
	Icon = "ICON_" .. _CommonResourcePrefix .. "_EGG",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 1 }
})


-- Butter
CommonResource:registerAssetId("icons/butter.png", "ICON_" .. _CommonResourcePrefix .. "_BUTTER")

CommonResource:register({
	DataType = "RESOURCE",
	Id = _CommonResourcePrefix .. "_BUTTER",
	ResourceName = _CommonResourcePrefix .. "_BUTTER",
	Icon = "ICON_" .. _CommonResourcePrefix .. "_BUTTER",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 4 }
})

-- pastry
CommonResource:registerAssetId("icons/pastry.png", "ICON_" .. _CommonResourcePrefix .. "_PASTRY")

CommonResource:register({
	DataType = "RESOURCE",
	Id = _CommonResourcePrefix .. "_PASTRY",
	ResourceName = _CommonResourcePrefix .. "_PASTRY",
	Icon = "ICON_" .. _CommonResourcePrefix .. "_PASTRY",
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 15 }
})

-- Carcass
CommonResource:registerAssetId("icons/Carcass.png", "ICON_" .. _CommonResourcePrefix .. "_CARCASS")

CommonResource:register({
	DataType = "RESOURCE",
	Id = _CommonResourcePrefix .. "_CARCASS",
	ResourceName = _CommonResourcePrefix .. "_CARCASS",
	Icon = "ICON_" .. _CommonResourcePrefix .. "_CARCASS",
	ResourceTypeList = { "RESOURCE_FOOD" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 4 },
	DisplayInInventory = true
})



-- Resource Type: Butcher (allows selling at the butcher's counter)
CommonResource:registerEnumValue( "RESOURCE_TYPE", "BUTCHER_RESOURCE_TYPE" )


-- Meat
CommonResource:registerAssetId("icons/Meat.png", "ICON_" .. _CommonResourcePrefix .. "_MEAT")

CommonResource:register({
	DataType = "RESOURCE",
	Id = _CommonResourcePrefix .. "_MEAT",
	ResourceName = _CommonResourcePrefix .. "_MEAT",
	Icon = "ICON_" .. _CommonResourcePrefix .. "_MEAT",
	ResourceTypeList = { "FOOD", "BUTCHER_RESOURCE_TYPE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 14 },
	DisplayInInventory = true
})



-- Fruit
CommonResource:registerAssetId("icons/Fruit.png", "ICON_FRUIT")

CommonResource:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_FRUIT",
	ResourceName = "RESOURCE_FRUIT",
	Icon = "ICON_FRUIT",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 10 },
	DisplayInInventory = true
})



-- Flax
CommonResource:registerAssetId("icons/Flax.png", "ICON_FLAX")

CommonResource:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_FLAX",
	ResourceName = "RESOURCE_FLAX",
	Icon = "ICON_FLAX",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	-- VillagerBuyingPrice = { Resource = "GOLD", Quantity = 10 },
	DisplayInInventory = true
})



-- Clay
CommonResource:registerAssetId("icons/Clay.png", "ICON_CLAY")

CommonResource:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_CLAY",
	ResourceName = "RESOURCE_CLAY",
	Icon = "ICON_CLAY",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = true,
	ResourceLayoutType = "CRATES",
	DisplayInInventory = true
})



-- Pottery -------------------------------------------------------------------------------------
CommonResource:registerEnumValue ("RESOURCE_TYPE", "RESOURCE_TYPE_POTTERY")
CommonResource:registerAssetId("icons/Pottery.png", "ICON_POTTERY")

CommonResource:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_POTTERY",
	ResourceName = "RESOURCE_POTTERY",
	Icon = "ICON_POTTERY",
	ResourceTypeList = { "RESOURCE_TYPE_POTTERY", "GOODS" },
	VillagerBuyingPrice = {
		Resource = "GOLD_COINS",
		Quantity = 8
	},
	IsTradable = true,
    DisplayInInventory = true,
	DisplayInToolbar = false,
	OrderId = 0
})



-- Clay Tile -------------------------------------------------------------------------------------
CommonResource:registerAssetId("icons/Tile.png", "ICON_TILE")

CommonResource:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_TILE",
	ResourceName = "RESOURCE_TILE",
	Icon = "ICON_TILE",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = true,
    DisplayInInventory = true,
	DisplayInToolbar = false,
	OrderId = 0
})




-- Wood Shingles -------------------------------------------------------------------------------------
CommonResource:registerAssetId("icons/Shingle.png", "ICON_SHINGLE")

CommonResource:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_SHINGLE",
	ResourceName = "RESOURCE_SHINGLE",
	Icon = "ICON_SHINGLE",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = true,
    DisplayInInventory = true,
	DisplayInToolbar = false,
	OrderId = 0
})




-- Thatch -------------------------------------------------------------------------------------
CommonResource:registerAssetId("icons/Thatch.png", "ICON_THATCH")

CommonResource:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_THATCH",
	ResourceName = "RESOURCE_THATCH",
	Icon = "ICON_THATCH",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = true,
    DisplayInInventory = true,
	DisplayInToolbar = false,
	OrderId = 0
})